--- geany-0.10/src/vte.c.sonames	2006-12-20 10:43:01.000000000 -0500
+++ geany-0.10/src/vte.c	2007-01-25 06:17:57.000000000 -0500
@@ -49,6 +49,11 @@ static gint vte_prefs_tab_num = -1;
 // use vte wordchars to select paths
 static const gchar VTE_WORDCHARS[] = "-A-Za-z0-9,./?%&#:_";
 
+static const gchar *vte_sonames[] = {	"libvte.so",
+					"libvte.so.4",
+					"libvte.so.8",
+					"libvte.so.9",
+					NULL};
 
 #define VTE_TERMINAL(obj) (GTK_CHECK_CAST((obj), VTE_TYPE_TERMINAL, VteTerminal))
 #define VTE_TYPE_TERMINAL (vf->vte_terminal_get_type())
@@ -133,11 +138,11 @@ void vte_init(void)
 	}
 	else
 	{
-		module = g_module_open("libvte.so", G_MODULE_BIND_LAZY);
-		// try to fallback to different versions of libvte.so.x
-		if (module == NULL) module = g_module_open("libvte.so.4", G_MODULE_BIND_LAZY);
-		else if (module == NULL) module = g_module_open("libvte.so.8", G_MODULE_BIND_LAZY);
-		else if (module == NULL) module = g_module_open("libvte.so.9", G_MODULE_BIND_LAZY);
+		const gchar **modname;
+		for (module=NULL, modname=vte_sonames; *modname && !module; modname++ )
+		{
+			module = g_module_open(*modname, G_MODULE_BIND_LAZY);
+		}
 	}
 
 	if (module == NULL)